Bug 1127245 - improperly calculated amount of available macs in system.
Summary: improperly calculated amount of available macs in system.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Martin Mucha
QA Contact: Meni Yakove
URL:
Whiteboard: network
Depends On:
Blocks: 1126920
TreeView+ depends on / blocked
 
Reported: 2014-08-06 12:59 UTC by Martin Mucha
Modified: 2016-02-10 19:48 UTC (History)
12 users (show)

Fixed In Version: ovirt-3.5.0_rc1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 17:11:08 UTC
oVirt Team: Network


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 29592 master ABANDONED core: error fix: right bound of range interval should be inclusive. Never
oVirt gerrit 31244 master ABANDONED core: error fix: right bound of range interval should be inclusive. Never
oVirt gerrit 31316 ovirt-engine-3.5 MERGED core: error fix: right bound of range interval should be inclusive. Never

Description Martin Mucha 2014-08-06 12:59:25 UTC
Description of problem:
System recognizes one MAC less than configured. 

Version-Release number of selected component (if applicable):
3.5

Actual results:
if there's only one mac available in given configuration, system will complain about no mac available.

Expected results:
proper number of MACs is recognized.

Comment 1 Oved Ourfali 2014-08-07 06:04:56 UTC
Why is this one on POST, without filling out:
1. Whiteboard
2. Assigned To
3. Target release
4. Flags

Comment 2 Michael Burman 2014-08-24 07:57:31 UTC
Verified on -  oVirt Engine Version: 3.5.0-0.0.master.20140821064931.gitb794d66.el6

engine-config -s MacPoolRanges=00:1A:4A:16:88:FD-00:1A:4A:16:88:FD - Succeed

engine-config -a | grep -i mac

MacPoolRanges: 00:1A:4A:16:88:FD-00:1A:4A:16:88:FD

Comment 3 Eyal Edri 2015-02-17 17:11:08 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.